Function Feature($config) {
    $item = ConvertItem-FromConfig $config "feature"
    $item["ensure"] = Get-ValueWithDefaultValue $config "ensure" "installed"
    $item["includeAllSubFeature"] = Get-ValueWithDefaultValue $config "includeAllSubFeature" $false
    Append-Item $item
}

Function Apply-Feature($config) {
     Write-Host "applying feature $($config.id)"
     if ($config.ensure -eq "installed") {
         Add-WindowsFeature $config.id
     } 
     if ($config.ensure -eq "uninstalled") {
         Remove-WindowsFeature $config.id
     }
}

