param(
    [Parameter(Mandatory=1)][String] $sl,
    [Parameter(Mandatory=0)][String] $source
)

$scriptPath = Split-Path -parent $MyInvocation.MyCommand.Definition

Import-Module ServerManager

$tmp = $sl -replace ".sl", ".ps1"

cp $sl $tmp

$items = @()

try {
    if ($source) { $globalSource = $source }
    . $scriptPath\core.ps1
    . $tmp
    
    $executionPlan = Generate-ExecutionPlan $script:items
    Apply-Spec $executionPlan

} finally {
    rm $tmp -force
} 
